ParallelEdgeRouter (JGraph v5.12.4.2 API Specification)
Keywords: org.jgraph.util.ParallelEdgeRouter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jgraph.util
Class ParallelEdgeRouter

    java.lang.Object
      org.jgraph.graph.DefaultEdge.LoopRouting
          org.jgraph.util.ParallelEdgeRouter

All Implemented Interfaces:
  Edge.Routing, Serializable

public class ParallelEdgeRouter
extends DefaultEdge.LoopRouting

A routing algorithm that

See Also:
  Serialized Form

Field Summary
`protected static ParallelEdgeRouter` | `sharedInstance` Singleton to reach parallel edge router

Fields inherited from interface org.jgraph.graph.Edge.Routing
`NO_PREFERENCE`

Constructor Summary
`ParallelEdgeRouter()`

Method Summary
`static double` | `getEdgeDeparture()` Getter to obtain the distance between intermediate and source/target points
`static double` | `getEdgeSeparation()` Getter to obtain the distance between each parallel edge
`protected Object[]` | `getParallelEdges(GraphLayoutCache cache, EdgeView edge, CellView cellView1, CellView cellView2)` Getter to obtain the list of parallel edges
`static ParallelEdgeRouter` | `getSharedInstance()` Getter for singleton managing parallel edges
`List` | `routeEdge(GraphLayoutCache cache, EdgeView edge)` Calc of intermediates points
`static void` | `setEdgeDeparture(double edgeDeparture)` Setter to define distance between intermediate and source/target points
`static void` | `setEdgeSeparation(double edgeSeparation)` Setter to define distance between each parallel edge
`static void` | `setGraph(JGraph graph)` Deprecated. graph instance retained internally

Methods inherited from class org.jgraph.graph.DefaultEdge.LoopRouting
`getEdgeStyle, getLoopStyle, getPreferredLineStyle, route, routeLoop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sharedInstance

    protected static final ParallelEdgeRouter sharedInstance

  Singleton to reach parallel edge router

Constructor Detail

### ParallelEdgeRouter

    public ParallelEdgeRouter()

Method Detail

### getSharedInstance

    public static ParallelEdgeRouter getSharedInstance()

  Getter for singleton managing parallel edges

  Returns:
    ParallelEdgeRouter for parallel edges

### routeEdge

    public List routeEdge(GraphLayoutCache cache,
                          EdgeView edge)

  Calc of intermediates points

  Overrides:
    `routeEdge` in class `DefaultEdge.LoopRouting`
  Parameters:
    `edge` - Edge for which routing is demanding

### getEdgeSeparation

    public static double getEdgeSeparation()

  Getter to obtain the distance between each parallel edge

  Returns:
    Distance

### setEdgeSeparation

    public static void setEdgeSeparation(double edgeSeparation)

  Setter to define distance between each parallel edge

  Parameters:
    `edgeSeparation` - New distance

### getEdgeDeparture

    public static double getEdgeDeparture()

  Getter to obtain the distance between intermediate and source/target points

  Returns:
    Distance

### setEdgeDeparture

    public static void setEdgeDeparture(double edgeDeparture)

  Setter to define distance between intermediate and source/target points

  Parameters:
    `edgeDeparture` - New distance

### getParallelEdges

    protected Object[] getParallelEdges(GraphLayoutCache cache,
                                        EdgeView edge,
                                        CellView cellView1,
                                        CellView cellView2)

  Getter to obtain the list of parallel edges

  Parameters:
    `edge` - Edge on which one wants to know parallel edges
  Returns:
    Object[] Array of parallel edges (include edge passed on argument)

### setGraph

    public static void setGraph(JGraph graph)

  Deprecated. graph instance retained internally

  Parameters:
    `graph` - The graph to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph v5.12.4.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) 2001-2008 Gaudenz Alder. All rights reserved.